Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 224977 - Import Project Zip - No Warning Of Existing Folder
Import Project Zip - No Warning Of Existing Folder
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
7.3
PC Windows 7
: P3 (vote)
: TBD
Assigned To: Martin Kozeny
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 15:59 UTC by MackSix
Modified: 2013-07-08 15:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MackSix 2013-01-16 15:59:34 UTC
If I import a project zip file and there is an existing folder with the same name, it will overwrite existing files with the same name and add others to the existing project.

Expected: A warning asking to replace, overwrite, change import folder name, or cancel.
Comment 1 MackSix 2013-01-16 16:02:15 UTC
Product Version: NetBeans IDE 7.3 RC1 (Build 201301102100)
Java: 1.7.0_11; Java HotSpot(TM) 64-Bit Server VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 2 Martin Kozeny 2013-07-03 14:58:57 UTC
Fixed by following options after warning appears:
1) replacing existing folder(s) or file(s)
2) changing project location.
https://hg.netbeans.org/core-main/rev/a1821e74e2bc
Comment 3 Quality Engineering 2013-07-04 02:21:17 UTC
Integrated into 'main-silver', will be available in build *201307032300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a1821e74e2bc
User: Martin Kozeny <mkozeny@netbeans.org>
Log: #224977: When importing project ZIP into location, where exists folder of same name as imported project folder, user is informed about that and can choose another target location or replace existing folder (or project).
Comment 4 MackSix 2013-07-08 15:50:26 UTC
Verified Fixed in:

Product Version: NetBeans IDE Dev (Build 201307062300)
Java: 1.7.0_25; Java HotSpot(TM) 64-Bit Server VM 23.25-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_25-b16
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo